Create Risk Range - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create Risk Range
POST /v1/risk-ranges
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/risk-ranges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"libraryId": "<string>",
"analysisTypeId": "<string>",
"name": "<string>",
"low": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"medium": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"high": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"description": "<string>"
}
'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/risk-ranges"
payload = {
"libraryId": "<string>",
"analysisTypeId": "<string>",
"name": "<string>",
"low": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"medium": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"high": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
libraryId: '<string>',
analysisTypeId: '<string>',
name: '<string>',
low: {lowThreshold: 5000, highThreshold: 5000},
medium: {lowThreshold: 5000, highThreshold: 5000},
high: {lowThreshold: 5000, highThreshold: 5000},
description: '<string>'
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/risk-ranges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/risk-ranges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'libraryId' => '<string>',
'analysisTypeId' => '<string>',
'name' => '<string>',
'low' => [
'lowThreshold' => 5000,
'highThreshold' => 5000
],
'medium' => [
'lowThreshold' => 5000,
'highThreshold' => 5000
],
'high' => [
'lowThreshold' => 5000,
'highThreshold' => 5000
],
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/risk-ranges"
payload := strings.NewReader("{\n \"libraryId\": \"<string>\",\n \"analysisTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"low\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"medium\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"high\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"description\": \"<string>\"}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/risk-ranges")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"libraryId\": \"<string>\",\n \"analysisTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"low\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"medium\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"high\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"description\": \"<string>\"}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/risk-ranges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"libraryId\": \"<string>\",\n \"analysisTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"low\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"medium\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"high\": {\n \"lowThreshold\": 5000,\n \"highThreshold\": 5000\n },\n \"description\": \"<string>\"}";
response = http.request(request)
puts response.read_body
Response Structure
{
"id": "<string>",
"version": 123,
"low": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"medium": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"high": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"system": true,
"libraryId": "<string>",
"engagementId": "<string>",
"analysisTypeId": "<string>",
"name": "<string>",
"description": "<string>"
}
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
libraryId
string
required
Identifies the library associated with this risk range.analysisTypeId
string
required
Identifies the analysis type associated with this risk range.name
string
required
The name of the risk range. Maximum string length:80low
Risk Range Bounds · object
The low range bounds.medium
Risk Range Bounds · object
The medium range bounds.high
Risk Range Bounds · object
The high range bounds.description
string
The description of the risk range. Maximum string length:250
Response Details
- 201 - Created
Returns the created risk range as a response.
Fields
id: string
The unique object identifier.version: integer
Data integrity version to ensure data consistency.low: Risk Range Bounds · object
The low range bounds.medium: Risk Range Bounds · object
The medium range bounds.high: Risk Range Bounds · object
The high range bounds.system: boolean
Indicates whether or not the risk ranges are a MindBridge system risk range.libraryId: string
Identifies the library associated with this risk range.engagementId: string
Identifies the engagement associated with this risk range.analysisTypeId: string
Identifies the analysis type associated with this risk range.name: string
The name of the risk range.description: string
The description of the risk range.